Subject: Re: bug#16005: inferior-lisp and filenames with spaces

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Jul 2021 11:19:45 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 15 Jul 2021 10:00:23 +0200
> 
> That's true.   However, this reminded me that we do have pretty good
> completion in `M-!', so I thought we must have some tokenisation support
> somewhere, and indeed: `shell--parse-pcomplete-arguments' seems to fit
> the bill here.  So adding a `shell-split-string' by wrapping that
> function seems like it should be possible.  I'll poke some more at it;
> it doesn't quite seem to handle \ as expected in all circumstances.

If that works, I'd suggest to call the function something that begins
with split-string-, like split-string-shell-command or somesuch.  I
think this would make its discovery easier.